# Uses of Class
com.fasterxml.jackson.core.util.Separators

Packages that use Separators
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.util
Utility classes used by Jackson Core functionality.

## Uses of Separators in com.fasterxml.jackson.core

Fields in com.fasterxml.jackson.core declared as Separators
Modifier and Type
Field
Description
`static final Separators`
PrettyPrinter.`DEFAULT_SEPARATORS`

## Uses of Separators in com.fasterxml.jackson.core.util

Fields in com.fasterxml.jackson.core.util declared as Separators
Modifier and Type
Field
Description
`protected Separators`
DefaultPrettyPrinter.`_separators`
`protected Separators`
MinimalPrettyPrinter.`_separators`
Methods in com.fasterxml.jackson.core.util that return Separators
Modifier and Type
Method
Description
`static Separators`
Separators.`createDefaultInstance()`
`Separators`
Separators.`withArrayValueSeparator(char sep)`
`Separators`
Separators.`withArrayValueSpacing(Separators.Spacing spacing)`
`Separators`
Separators.`withObjectEntrySeparator(char sep)`
`Separators`
Separators.`withObjectEntrySpacing(Separators.Spacing spacing)`
`Separators`
Separators.`withObjectFieldValueSeparator(char sep)`
`Separators`
Separators.`withObjectFieldValueSpacing(Separators.Spacing spacing)`
`Separators`
Separators.`withRootSeparator(String sep)`
Methods in com.fasterxml.jackson.core.util with parameters of type Separators
Modifier and Type
Method
Description
`MinimalPrettyPrinter`
MinimalPrettyPrinter.`setSeparators(Separators separators)`
`DefaultPrettyPrinter`
DefaultPrettyPrinter.`withSeparators(Separators separators)`
Method for configuring separators for this pretty-printer to use
Constructors in com.fasterxml.jackson.core.util with parameters of type Separators
Modifier
Constructor
Description
``
`DefaultPrettyPrinter(Separators separators)`